OpenTTD: src/animated_tile_func.h File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
animated_tile_func.h File Reference

Tile animation! More...

`#include "tile_type.h"`

Go to the source code of this file.

## Functions
void | AddAnimatedTile (TileIndex tile)
| Add the given tile to the animated tile table (if it does not exist on that table yet).
void | DeleteAnimatedTile (TileIndex tile)
| Removes the given tile from the animated tile table.
void | AnimateAnimatedTiles ()
| Animate all tiles in the animated tile list, i.e. call AnimateTile on them.
void | InitializeAnimatedTiles ()
| Initialize all animated tile variables to some known begin point.

## Detailed Description

Tile animation!

Definition in file animated_tile_func.h.

## Function Documentation

void AddAnimatedTile | ( | TileIndex | tile | ) |

Add the given tile to the animated tile table (if it does not exist on that table yet).

Also increases the size of the table if necessary.

Parameters

  tile | the tile to make animated

Definition at line 51 of file animated_tile.cpp.

References _animated_tile_allocated, _animated_tile_count, _animated_tile_list, and MarkTileDirtyByTile().

Referenced by AnimationBase< IndustryAnimationBase, IndustryTileSpec, Industry, int, GetSimpleIndustryCallback >::ChangeAnimationFrame(), ClearMakeHouseTile(), CmdBuildAirport(), DoCreateNewIndustry(), and TileLoop_Town().

void DeleteAnimatedTile | ( | TileIndex | tile | ) |

Removes the given tile from the animated tile table.

Parameters

  tile | the tile to remove

Definition at line 30 of file animated_tile.cpp.

References _animated_tile_count, _animated_tile_list, and MarkTileDirtyByTile().

Referenced by AfterLoadGame(), AnimationBase< IndustryAnimationBase, IndustryTileSpec, Industry, int, GetSimpleIndustryCallback >::AnimateTile(), AnimateTile_Town(), AnimationBase< IndustryAnimationBase, IndustryTileSpec, Industry, int, GetSimpleIndustryCallback >::ChangeAnimationFrame(), CmdBuildRailStation(), DoClearTownHouseHelper(), and RemoveAirport().